Bug 857896 - RHEL6.2 huge_memory THP ON cause lxc memory cgroup OOM bug
RHEL6.2 huge_memory THP ON cause lxc memory cgroup OOM bug
Status: CLOSED DUPLICATE of bug 811255
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Johannes Weiner
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 08:40 EDT by tang ming
Modified: 2015-08-31 23:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-29 23:03:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tang ming 2012-09-17 08:40:31 EDT
Description of problem:
   Last days,we created two lxc containers on one host(host hardware:HPDL360G7,memory 24G,RHEL6.2,X86_64),we run a java application in one container ,we meet oom-killer unfortunately,but at that time,the lxc container still had 1G pagecache and 1G swap sapce,we thought it is a bug!
   Our colleague added some code  in its kernel code and rebuilt and run it,we found its something wrong at mm/huge_memory.c do_huge_pmd_wp_page() function call
   Our host had THP on,we see that if we turn off THP,it will not call this do_huge_pmd_wp_page() function,and we did so,it run well as expected.
   At last we found a patch in linux kernel websit which fixed the problem at newer kernel  ,and after we used the patch,it run well as expected too.the patch address is 
http://git.kernel.org/?p=linux/kernel/git/stable/linux-stable.git;a=commit;h=1f1d06c34f7675026326cd9f39ff91e4555cf355
   We found this problem also exists in RHEL6.3(X86_64),so we report it hope you can fix it as soon as possible.
 
OOM problems occurs as follows
Sep  6 16:07:57 xen-2-49 kernel: collectd invoked oom-killer: gfp_mask=0x0, order=0, oom_adj=0, oom_score_adj=0
Sep  6 16:07:57 xen-2-49 kernel: collectd cpuset=tradequery.lxc002.alipay.net mems_allowed=0-1
Sep  6 16:07:57 xen-2-49 kernel: Pid: 1395, comm: collectd Not tainted 2.6.32 #6
Sep  6 16:07:57 xen-2-49 kernel: Call Trace:
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff810c2cd1>] ? cpuset_print_task_mems_allowed+0x91/0xb0
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff81113a60>] ? dump_header+0x90/0x1b0
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff8120de5c>] ? security_real_capable_noaudit+0x3c/0x70
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff81113eea>] ? oom_kill_process+0x8a/0x2c0
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff81113e21>] ? select_bad_process+0xe1/0x120
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff81114340>] ? out_of_memory+0x220/0x3c0
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff8100f315>] ? show_trace_log_lvl+0x55/0x70
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff811145a5>] ? pagefault_out_of_memory+0xc5/0x110
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff81042841>] ? mm_fault_error+0x111/0x120
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff81042d56>] ? __do_page_fault+0x336/0x480
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff814f294e>] ? do_page_fault+0x3e/0xa0
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff814efd05>] ? page_fault+0x25/0x30
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff814f294e>] ? do_page_fault+0x3e/0xa0
Sep  6 16:07:57 xen-2-49 kernel: [<ffffffff814efd05>] ? page_fault+0x25/0x30
Sep  6 16:07:57 xen-2-49 kernel: Mem-Info:
Sep  6 16:07:57 xen-2-49 kernel: Node 0 DMA per-cpu:
Sep  6 16:07:57 xen-2-49 kernel: CPU    0: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    1: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    2: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    3: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    4: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    5: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    6: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    7: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    8: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    9: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   10: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   11: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   12: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   13: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   14: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   15: hi:    0, btch:   1 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: Node 0 DMA32 per-cpu:
Sep  6 16:07:57 xen-2-49 kernel: CPU    0: hi:  186, btch:  31 usd: 176
Sep  6 16:07:57 xen-2-49 kernel: CPU    1: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    2: hi:  186, btch:  31 usd: 197
Sep  6 16:07:57 xen-2-49 kernel: CPU    3: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    4: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    5: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    6: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    7: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    8: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    9: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   10: hi:  186, btch:  31 usd:  12
Sep  6 16:07:57 xen-2-49 kernel: CPU   11: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   12: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   13: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   14: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   15: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: Node 0 Normal per-cpu:
Sep  6 16:07:57 xen-2-49 kernel: CPU    0: hi:  186, btch:  31 usd: 162
Sep  6 16:07:57 xen-2-49 kernel: CPU    1: hi:  186, btch:  31 usd:   4
Sep  6 16:07:57 xen-2-49 kernel: CPU    2: hi:  186, btch:  31 usd: 182
Sep  6 16:07:57 xen-2-49 kernel: CPU    3: hi:  186, btch:  31 usd: 162
Sep  6 16:07:57 xen-2-49 kernel: CPU    4: hi:  186, btch:  31 usd: 133
Sep  6 16:07:57 xen-2-49 kernel: CPU    5: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    6: hi:  186, btch:  31 usd: 131
Sep  6 16:07:57 xen-2-49 kernel: CPU    7: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    8: hi:  186, btch:  31 usd: 150
Sep  6 16:07:57 xen-2-49 kernel: CPU    9: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   10: hi:  186, btch:  31 usd: 164
Sep  6 16:07:57 xen-2-49 kernel: CPU   11: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   12: hi:  186, btch:  31 usd: 181
Sep  6 16:07:57 xen-2-49 kernel: CPU   13: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   14: hi:  186, btch:  31 usd: 161
Sep  6 16:07:57 xen-2-49 kernel: CPU   15: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: Node 1 Normal per-cpu:
Sep  6 16:07:57 xen-2-49 kernel: CPU    0: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    1: hi:  186, btch:  31 usd: 112
Sep  6 16:07:57 xen-2-49 kernel: CPU    2: hi:  186, btch:  31 usd: 176
Sep  6 16:07:57 xen-2-49 kernel: CPU    3: hi:  186, btch:  31 usd:  55
Sep  6 16:07:57 xen-2-49 kernel: CPU    4: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    5: hi:  186, btch:  31 usd: 167
Sep  6 16:07:57 xen-2-49 kernel: CPU    6: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    7: hi:  186, btch:  31 usd:  85
Sep  6 16:07:57 xen-2-49 kernel: CPU    8: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU    9: hi:  186, btch:  31 usd:  35
Sep  6 16:07:57 xen-2-49 kernel: CPU   10: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   11: hi:  186, btch:  31 usd:  54
Sep  6 16:07:57 xen-2-49 kernel: CPU   12: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   13: hi:  186, btch:  31 usd: 158
Sep  6 16:07:57 xen-2-49 kernel: CPU   14: hi:  186, btch:  31 usd:   0
Sep  6 16:07:57 xen-2-49 kernel: CPU   15: hi:  186, btch:  31 usd: 178
Sep  6 16:07:57 xen-2-49 kernel: active_anon:245341 inactive_anon:90325 isolated_anon:0
Sep  6 16:07:57 xen-2-49 kernel: active_file:66805 inactive_file:456947 isolated_file:0
Sep  6 16:07:57 xen-2-49 kernel: unevictable:8 dirty:6140 writeback:0 unstable:0
Sep  6 16:07:57 xen-2-49 kernel: free:5176913 slab_reclaimable:18875 slab_unreclaimable:17292
Sep  6 16:07:57 xen-2-49 kernel: mapped:8361 shmem:58 pagetables:2125 bounce:0
Sep  6 16:07:57 xen-2-49 kernel: Node 0 DMA free:15744kB min:52kB low:64kB high:76kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB isolated(anon):0kB isolated(file):0kB present:15356kB mlocked:0kB dirty:0kB writeback:0kB mapped:0kB shmem:0kB slab_reclaimable:0kB slab_unreclaimable:0kB kernel_stack:0kB pagetables:0kB unstable:0kB bounce:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Sep  6 16:07:57 xen-2-49 kernel: lowmem_reserve[]: 0 3502 12087 12087
Sep  6 16:07:57 xen-2-49 kernel: Node 0 DMA32 free:3250464kB min:13028kB low:16284kB high:19540kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB isolated(anon):0kB isolated(file):0kB present:3586464kB mlocked:0kB dirty:0kB writeback:0kB mapped:0kB shmem:0kB slab_reclaimable:0kB slab_unreclaimable:0kB kernel_stack:0kB pagetables:0kB unstable:0kB bounce:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Sep  6 16:07:57 xen-2-49 kernel: lowmem_reserve[]: 0 0 8585 8585
Sep  6 16:07:57 xen-2-49 kernel: Node 0 Normal free:7060184kB min:31936kB low:39920kB high:47904kB active_anon:709208kB inactive_anon:13936kB active_file:142636kB inactive_file:773480kB unevictable:0kB isolated(anon):0kB isolated(file):0kB present:8791040kB mlocked:0kB dirty:9008kB writeback:0kB mapped:19600kB shmem:128kB slab_reclaimable:33368kB slab_unreclaimable:28128kB kernel_stack:4088kB pagetables:4532kB unstable:0kB bounce:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Sep  6 16:07:57 xen-2-49 kernel: lowmem_reserve[]: 0 0 0 0
Sep  6 16:07:57 xen-2-49 kernel: Node 1 Normal free:10381260kB min:45088kB low:56360kB high:67632kB active_anon:272156kB inactive_anon:347364kB active_file:124584kB inactive_file:1054308kB unevictable:32kB isolated(anon):0kB isolated(file):0kB present:12410876kB mlocked:32kB dirty:15552kB writeback:0kB mapped:13844kB shmem:104kB slab_reclaimable:42132kB slab_unreclaimable:41040kB kernel_stack:1264kB pagetables:3968kB unstable:0kB bounce:0kB writeback_tmp:0kB pages_scanned:0 all_unreclaimable? no
Sep  6 16:07:57 xen-2-49 kernel: lowmem_reserve[]: 0 0 0 0
Sep  6 16:07:57 xen-2-49 kernel: Node 0 DMA: 2*4kB 1*8kB 1*16kB 1*32kB 1*64kB 0*128kB 1*256kB 0*512kB 1*1024kB 1*2048kB 3*4096kB = 15744kB
Sep  6 16:07:57 xen-2-49 kernel: Node 0 DMA32: 10*4kB 21*8kB 7*16kB 9*32kB 9*64kB 9*128kB 4*256kB 6*512kB 6*1024kB 5*2048kB 788*4096kB = 3250464kB
Sep  6 16:07:57 xen-2-49 kernel: Node 0 Normal: 434*4kB 230*8kB 168*16kB 811*32kB 496*64kB 176*128kB 47*256kB 9*512kB 8*1024kB 3*2048kB 1695*4096kB = 7060184kB
Sep  6 16:07:57 xen-2-49 kernel: Node 1 Normal: 158*4kB 108*8kB 61*16kB 35*32kB 23*64kB 5*128kB 4*256kB 5*512kB 1*1024kB 4*2048kB 2530*4096kB = 10381384kB
Sep  6 16:07:57 xen-2-49 kernel: 523758 total pagecache pages
Sep  6 16:07:57 xen-2-49 kernel: 0 pages in swap cache
Sep  6 16:07:57 xen-2-49 kernel: Swap cache stats: add 0, delete 0, find 0/0
Sep  6 16:07:57 xen-2-49 kernel: Free swap  = 2097144kB
Sep  6 16:07:57 xen-2-49 kernel: Total swap = 2097144kB
Sep  6 16:07:57 xen-2-49 kernel: 6291454 pages RAM
Sep  6 16:07:57 xen-2-49 kernel: 143197 pages reserved
Sep  6 16:07:57 xen-2-49 kernel: 486632 pages shared
Sep  6 16:07:57 xen-2-49 kernel: 486247 pages non-shared
Sep  6 16:07:57 xen-2-49 kernel: [ pid ]   uid  tgid total_vm      rss cpu oom_adj oom_score_adj name
Sep  6 16:07:57 xen-2-49 kernel: [  602]     0   602     2773      286   0     -17         -1000 udevd
Sep  6 16:07:57 xen-2-49 kernel: [ 1854]     0  1854    63771      382   1       0             0 rsyslogd
Sep  6 16:07:57 xen-2-49 kernel: [ 1897]     0  1897     1031       73  10       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1903]     0  1903     1031       67   5       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1907]     0  1907     1031       67   5       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1908]     0  1908     2301      162   6       0             0 irqbalance
Sep  6 16:07:57 xen-2-49 kernel: [ 1910]     0  1910     1031       67  12       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1914]     0  1914     1031       73  11       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1915]     0  1915     1031       67   9       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1916]     0  1916     1031       73   6       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1923]     0  1923     1031       73  13       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1927]    32  1927     4756      228   8       0             0 rpcbind
Sep  6 16:07:57 xen-2-49 kernel: [ 1930]     0  1930     1031       73  12       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1935]     0  1935     1031       67  11       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1936]     0  1936     1031       67  14       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1943]     0  1943     1031       73  14       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1944]     0  1944     1031       67  10       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1945]     0  1945     1031       73  12       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1946]     0  1946     1031       67  10       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1947]     0  1947     1031       67   5       0             0 cpuspeed
Sep  6 16:07:57 xen-2-49 kernel: [ 1953]    29  1953     5800      305   8       0             0 rpc.statd
Sep  6 16:07:57 xen-2-49 kernel: [ 2000]     0  2000     7377      143  11       0             0 rpc.idmapd
Sep  6 16:07:57 xen-2-49 kernel: [ 5958]    81  5958     5359      232   1       0             0 dbus-daemon
Sep  6 16:07:57 xen-2-49 kernel: [ 5969]    70  5969     6961      409   9       0             0 avahi-daemon
Sep  6 16:07:57 xen-2-49 kernel: [ 5970]    70  5970     6930       91   1       0             0 avahi-daemon
Sep  6 16:07:57 xen-2-49 kernel: [ 5993]     0  5993     1033      161   3       0             0 acpid
Sep  6 16:07:57 xen-2-49 kernel: [ 6002]    68  6002     6375     1040   4       0             0 hald
Sep  6 16:07:57 xen-2-49 kernel: [ 6003]     0  6003     4540      302   1       0             0 hald-runner
Sep  6 16:07:57 xen-2-49 kernel: [ 6031]     0  6031     5069      280   1       0             0 hald-addon-inpu
Sep  6 16:07:57 xen-2-49 kernel: [ 6038]    68  6038     4465      267   9       0             0 hald-addon-acpi
Sep  6 16:07:57 xen-2-49 kernel: [ 6061]     0  6061     1575      117  10       0             0 mcelog
Sep  6 16:07:57 xen-2-49 kernel: [ 6072]     0  6072    16017      289   8       0             0 sshd
Sep  6 16:07:57 xen-2-49 kernel: [ 6148]     0  6148    19669      814   9       0             0 master
Sep  6 16:07:57 xen-2-49 kernel: [ 6160]    89  6160    19689      806  13       0             0 pickup
Sep  6 16:07:57 xen-2-49 kernel: [ 6161]    89  6161    19706      818   1       0             0 qmgr
Sep  6 16:07:57 xen-2-49 kernel: [ 6172]     0  6172    29710      311   1       0             0 abrtd
Sep  6 16:07:57 xen-2-49 kernel: [ 6180]     0  6180     2304      197   0       0             0 abrt-dump-oops
Sep  6 16:07:57 xen-2-49 kernel: [ 6188]     0  6188    29311      318   0       0             0 crond
Sep  6 16:07:57 xen-2-49 kernel: [ 6199]     0  6199     5373      117   1       0             0 atd
Sep  6 16:07:57 xen-2-49 kernel: [ 6215]     0  6215     1028       87   9       0             0 rhsmcertd
Sep  6 16:07:57 xen-2-49 kernel: [ 6216]     0  6216     1028       86   3       0             0 rhsmcertd
Sep  6 16:07:57 xen-2-49 kernel: [ 6242]     0  6242     1029      135   7       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6244]     0  6244     1029      135   9       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6246]     0  6246     1029      135   4       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6248]     0  6248     1029      135   3       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6250]     0  6250     1029      135  13       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6252]     0  6252     1029      135  12       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6255]     0  6255     2772      291   5     -17         -1000 udevd
Sep  6 16:07:57 xen-2-49 kernel: [ 6273]     0  6273     6922      211   5     -17         -1000 auditd
Sep  6 16:07:57 xen-2-49 kernel: [ 6537]     0  6537    29720      295   9       0             0 screen
Sep  6 16:07:57 xen-2-49 kernel: [ 6539]     0  6539     3755      352  10       0             0 lxc-start
Sep  6 16:07:57 xen-2-49 kernel: [ 6550]     0  6550    29644      464   2       0             0 init
Sep  6 16:07:57 xen-2-49 kernel: [ 6580]     0  6580     2772      279   1     -17         -1000 udevd
Sep  6 16:07:57 xen-2-49 kernel: [ 6893]    32  6893     4756      183   3       0             0 rpcbind
Sep  6 16:07:57 xen-2-49 kernel: [ 6905]     0  6905    16017      289   2       0             0 sshd
Sep  6 16:07:57 xen-2-49 kernel: [ 6913]     0  6913    29313      318   2       0             0 crond
Sep  6 16:07:57 xen-2-49 kernel: [ 6924]     0  6924     5373      118   3       0             0 atd
Sep  6 16:07:57 xen-2-49 kernel: [ 6937]     0  6937    19281      594   2       0             0 login
Sep  6 16:07:57 xen-2-49 kernel: [ 6939]     0  6939     1029      136   3       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6941]     0  6941     1029      135   2       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6943]     0  6943     1029      135   2       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6945]     0  6945     1029      136   2       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6947]     0  6947     1029      136   3       0             0 mingetty
Sep  6 16:07:57 xen-2-49 kernel: [ 6998]   500  6998    27096      341   2       0             0 run.sh
Sep  6 16:07:57 xen-2-49 kernel: [ 7005]   500  7005  2624112   334321   3       0             0 java
Sep  6 16:07:57 xen-2-49 kernel: [ 7379]     0  7379    95511      872   2       0             0 collectd
Sep  6 16:07:57 xen-2-49 kernel: [15729]     0 15729    24457      995   5       0             0 sshd
Sep  6 16:07:57 xen-2-49 kernel: [15732]     0 15732    27687      507   0       0             0 bash
Sep  6 16:07:57 xen-2-49 kernel: [15938]     0 15938    27701      516   2       0             0 bash
Sep  6 16:07:57 xen-2-49 kernel: [25310]     0 25310    24457      993  11       0             0 sshd
Sep  6 16:07:57 xen-2-49 kernel: [25313]     0 25313    27687      491   1       0             0 bash
Sep  6 16:07:57 xen-2-49 kernel: [ 1393]     0  1393    95511      652   2       0             0 collectd
Sep  6 16:07:57 xen-2-49 kernel: [ 1394]     0  1394    95511      652   2       0             0 collectd
Sep  6 16:07:57 xen-2-49 kernel: [ 1395]     0  1395    95511      627   2       0             0 collectd
Sep  6 16:07:57 xen-2-49 kernel: [ 1396]     0  1396    95511      624   2       0             0 collectd
Sep  6 16:07:57 xen-2-49 kernel: Out of memory: Kill process 7005 (java) score 50 or sacrifice child
Sep  6 16:07:57 xen-2-49 kernel: Killed process 7005, UID 500, (java) total-vm:10496448kB, anon-rss:1313240kB, file-rss:24044kB

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2012-09-24 17:10:39 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 3 Johannes Weiner 2012-09-29 23:03:45 EDT

*** This bug has been marked as a duplicate of bug 811255 ***

Note You need to log in before you can comment on or make changes to this bug.